/* icon button small  */

.is-style-disable-icon-small .wp-block-button__link {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: .625rem;
    padding: 14px 28px;
    font-size: 14px;
    background: white;
    color: #D5D5D5;
    border: 1px solid #B9B9B9;
}

.is-style-disable-icon-small .wp-block-button__link::after {
    content: "";
    width: 12px;
    height: 12px;
    background: #D5D5D5;
    -webkit-mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 17 18"><path d="M17 15.9036C17 16.686 16.3657 17.3203 15.5833 17.3203C14.8009 17.3203 14.1667 16.686 14.1667 15.9036V5.1569L2.41829 16.9053C1.86505 17.4585 0.968282 17.4585 0.415039 16.9053C-0.138204 16.352 -0.138204 15.4553 0.415039 14.902L12.1634 3.15365H1.41667C0.634263 3.15365 0 2.51938 0 1.73698C0 0.954576 0.634263 0.320312 1.41667 0.320312H15.5833C16.3657 0.320312 17 0.954576 17 1.73698V15.9036Z"/></svg>') no-repeat center;
    mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 17 18"><path d="M17 15.9036C17 16.686 16.3657 17.3203 15.5833 17.3203C14.8009 17.3203 14.1667 16.686 14.1667 15.9036V5.1569L2.41829 16.9053C1.86505 17.4585 0.968282 17.4585 0.415039 16.9053C-0.138204 16.352 -0.138204 15.4553 0.415039 14.902L12.1634 3.15365H1.41667C0.634263 3.15365 0 2.51938 0 1.73698C0 0.954576 0.634263 0.320312 1.41667 0.320312H15.5833C16.3657 0.320312 17 0.954576 17 1.73698V15.9036Z"/></svg>') no-repeat center;
}

.is-style-disable-icon-small .wp-block-button__link:hover {
    background: #B9B9B9;
    color: #F8F9FA;
}

.is-style-disable-icon-small .wp-block-button__link:hover::after {
    background: #F8F9FA;
}

/* icon button medium  */

.is-style-disable-icon-medium .wp-block-button__link {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: .625rem;
    padding: 20px 40px;
    font-size: 14px;
    background: white;
    color: #D5D5D5;
    border: 1px solid #B9B9B9;
}

.is-style-disable-icon-medium .wp-block-button__link::after {
    content: "";
    width: 16px;
    height: 16px;
    background: #D5D5D5;
    -webkit-mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 17 18"><path d="M17 15.9036C17 16.686 16.3657 17.3203 15.5833 17.3203C14.8009 17.3203 14.1667 16.686 14.1667 15.9036V5.1569L2.41829 16.9053C1.86505 17.4585 0.968282 17.4585 0.415039 16.9053C-0.138204 16.352 -0.138204 15.4553 0.415039 14.902L12.1634 3.15365H1.41667C0.634263 3.15365 0 2.51938 0 1.73698C0 0.954576 0.634263 0.320312 1.41667 0.320312H15.5833C16.3657 0.320312 17 0.954576 17 1.73698V15.9036Z"/></svg>') no-repeat center;
    mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 17 18"><path d="M17 15.9036C17 16.686 16.3657 17.3203 15.5833 17.3203C14.8009 17.3203 14.1667 16.686 14.1667 15.9036V5.1569L2.41829 16.9053C1.86505 17.4585 0.968282 17.4585 0.415039 16.9053C-0.138204 16.352 -0.138204 15.4553 0.415039 14.902L12.1634 3.15365H1.41667C0.634263 3.15365 0 2.51938 0 1.73698C0 0.954576 0.634263 0.320312 1.41667 0.320312H15.5833C16.3657 0.320312 17 0.954576 17 1.73698V15.9036Z"/></svg>') no-repeat center;
}

.is-style-disable-icon-medium .wp-block-button__link:hover {
    background: #B9B9B9;
    color: #F8F9FA;
}

.is-style-disable-icon-medium .wp-block-button__link:hover::after {
    background: #F8F9FA;
}

@media screen and (max-width :450px) {
    .is-style-disable-icon-medium .wp-block-button__link {
        padding: 14px 25px;
    }
}

/* icon button large  */

.is-style-disable-icon-large .wp-block-button__link {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: .625rem;
    padding: 22px 44px;
    background: white;
    color: #D5D5D5;
    border: 1px solid #B9B9B9;
}

.is-style-disable-icon-large .wp-block-button__link::after {
    content: "";
    width: 17px;
    height: 17px;
    background: #D5D5D5;
    -webkit-mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="17" height="18" viewBox="0 0 17 18"><path d="M17 15.9036C17 16.686 16.3657 17.3203 15.5833 17.3203C14.8009 17.3203 14.1667 16.686 14.1667 15.9036V5.1569L2.41829 16.9053C1.86505 17.4585 0.968282 17.4585 0.415039 16.9053C-0.138204 16.352 -0.138204 15.4553 0.415039 14.902L12.1634 3.15365H1.41667C0.634263 3.15365 0 2.51938 0 1.73698C0 0.954576 0.634263 0.320312 1.41667 0.320312H15.5833C16.3657 0.320312 17 0.954576 17 1.73698V15.9036Z"/></svg>') no-repeat center;
    mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="17" height="18" viewBox="0 0 17 18"><path d="M17 15.9036C17 16.686 16.3657 17.3203 15.5833 17.3203C14.8009 17.3203 14.1667 16.686 14.1667 15.9036V5.1569L2.41829 16.9053C1.86505 17.4585 0.968282 17.4585 0.415039 16.9053C-0.138204 16.352 -0.138204 15.4553 0.415039 14.902L12.1634 3.15365H1.41667C0.634263 3.15365 0 2.51938 0 1.73698C0 0.954576 0.634263 0.320312 1.41667 0.320312H15.5833C16.3657 0.320312 17 0.954576 17 1.73698V15.9036Z"/></svg>') no-repeat center;
}

.is-style-disable-icon-large .wp-block-button__link:hover {
    background: #B9B9B9;
    color: #F8F9FA;
}

.is-style-disable-icon-large .wp-block-button__link:hover::after {
    background: #F8F9FA;
}


/* media queries */

@media screen and (max-width :450px) {
    .is-style-disable-icon-medium .wp-block-button__link {
        padding: 14px 15px;
        font-size: 13px;
    }

    .is-style-disable-icon-large .wp-block-button__link {
        padding: 14px 15px;
        font-size: 13px;
    }
}